## starpu 1.1.3+dfsg

=== doc/tutorial/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2011  Université de Bordeaux 1
# Copyright (C) 2010-2013  Centre National de la Recherche Scientifique
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.

CFLAGS          +=      $$(pkg-config --cflags starpu-1.1)
LDFLAGS         +=      $$(pkg-config --libs starpu-1.1)

HAS_CUDA	=	$(shell pkg-config --libs starpu-1.1 |grep -i cuda)
NVCC		?=	nvcc
HAS_OPENCL	=	$(shell pkg-config --libs starpu-1.1 |grep -i opencl)

%.o: %.cu
	nvcc $(CFLAGS) $< -c

TARGETS = hello_world vector_scal hello_world_plugin vector_scal_plugin

all: $(TARGETS)

VECTOR_SCAL_PREREQUISITES	=	vector_scal.o vector_scal_cpu.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PREREQUISITES	+=	vector_scal_cuda.o
VECTOR_SCAL_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_COMPILER		=	$(CC)
endif
ifneq ($(strip $(HAS_OPENCL)),)
VECTOR_SCAL_PREREQUISITES += vector_scal_opencl.o
endif

vector_scal: $(VECTOR_SCAL_PREREQUISITES)
	$(VECTOR_SCAL_COMPILER) $(LDFLAGS) $^ -o $@

hello_world_plugin: hello_world_plugin.c
	$(CC) $(CFLAGS) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $(LDFLAGS) $^ -o $@

VECTOR_SCAL_PLUGIN_PREREQUISITES	=	vector_scal_plugin.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PLUGIN_PREREQUISITES	+=	vector_scal_plugin_cuda.o
VECTOR_SCAL_PLUGIN_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_PLUGIN_COMPILER		=	$(CC)
endif

vector_scal_plugin.o: vector_scal_plugin.c
	$(CC) -c $(CFLAGS) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $^ -o $@

vector_scal_plugin: $(VECTOR_SCAL_PLUGIN_PREREQUISITES)
	$(CC) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $(LDFLAGS) $(VECTOR_SCAL_PLUGIN_PREREQUISITES) -o $@

clean:
	rm -f $(TARGETS) *.o

## starpu 0.9.1

=== debian/changelog ===
starpu (0.9.1-3build1) precise; urgency=low

  * Rebuild against libhwloc4.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 26 Nov 2011 23:42:47 +0100

starpu (0.9.1-3) unstable; urgency=low

  * debian/control:
    - Add libcnf-dev and gfortran build-dependency for the fortran example.
    - Depend on nvidia-cuda-toolkit and libcuda1 instead of nvidia-opencl-dev
      and nvidia-cuda-dev, since starpu also needs nvcc (Closes: Bug#638980)
    - Make contrib Architecture: amd64 i386 since it only makes sense there.
  * debian/rules: Fix main/contrib switch rules accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 19:12:30 +0200

starpu (0.9.1-2) unstable; urgency=low

  * debian/rules:
    - Add rule to change Sections to contrib/.
    - Set HOME to $PWD while making test, to permit buildds to write into
      $HOME/.starpu.
  * debian/control: Depend on libnuma-dev only on architectures which have it.
  * debian/patches/no-fftwl: Build starpufft even without fftwl.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 18:26:07 +0200

starpu (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #619848)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 May 2011 13:34:51 +0200

=== debian/control ===
Source: starpu
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
	pkg-config,
	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libcnf-dev, gfortran,
#	nvidia-cuda-toolkit,
#	libcuda1,
Standards-Version: 3.9.2
Section: libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
Vcs-Browser: https://gforge.inria.fr/scm/viewvc.php/debian/unstable/?root=starpu

Package: libstarpu-dev
Section: libdevel
Architecture: any
Depends: libstarpu0 (= ${binary:Version}), ${misc:Depends}, install-info
Conflicts: libstarpu-contrib-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.

Package: libstarpu0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contrib0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library

Package: libstarpufft0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribfft0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.

Package: libstarpumpi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribmpi0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.

Package: starpu-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-tools
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.

Package: starpu-examples
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-opengl-render

override_dh_auto_test:
	-HOME=$$PWD dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -fr .starpu

# Switch to main rules
main:
	sed -i 's/starpu-contrib/starpu/' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Depends: libstarpu-contrib/Depends: libstarpu/' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
	sed -i 's/^	libcuda1,/#	libcuda1,/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog

# Switch to contrib rules
contrib:
	sed -i '1s/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Depends: libstarpu/Depends: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
	sed -i 's/#	libcuda1,/	libcuda1,/' debian/control
	sed -i 's_^Section: _Section: contrib/_' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog

=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=1570 https://gforge.inria.fr/frs/download.php/.*/starpu-(.*)\.tar\.gz

## starpu 1.0.0~rc1

=== debian/changelog ===
starpu (1.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.
  * Add provides to contrib variants.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jan 2012 12:04:47 +0100

starpu (0.9.1-4) UNRELEASED; urgency=low

  * control:
    - Depend on hardening-check.
    - Make libstarpu-dev depend on libhwloc-dev.
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Set empty DISPLAY to avoid opening a window during Mandelbrot test.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 Nov 2011 09:14:49 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	libfftw3-dev,
 	libhwloc-dev,
 	libcnf-dev, gfortran,
+	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
+	hardening-wrapper,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
 Standards-Version: 3.9.2
@@ -25,8 +27,9 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu0 (= ${binary:Version}), ${misc:Depends}, install-info
+Depends: libstarpu-1.0 (= ${binary:Version}), ${misc:Depends}, install-info, libhwloc-dev
 Conflicts: libstarpu-contrib-dev
+#Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -38,11 +41,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu0
+Package: libstarpu-1.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib0
+Conflicts: libstarpu-contrib-1.0
+#Provides: libstarpu-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -54,11 +58,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpufft0
+Package: libstarpufft-1.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft0
+Conflicts: libstarpu-contribfft-1.0
+#Provides: libstarpufft-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -70,11 +75,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpumpi0
+Package: libstarpumpi-1.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi0
+Conflicts: libstarpu-contribmpi-1.0
+#Provides: libstarpumpi-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -91,6 +97,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-tools
+#Provides: starpu-tools
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -102,11 +109,27 @@
  .
  This package contains StarPU tools.
 
+Package: starpu-top
+Section: utils
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Task scheduler for heterogeneous multicore machines - top
+ StarPU is a runtime system that offers support for heterogeneous
+ multicore machines. While many efforts are devoted to design efficient
+ computation kernels for those architectures (e.g. to implement BLAS
+ kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+ offloading such kernels (and implementing data coherency across
+ the machine), but it also makes sure the kernels are executed as
+ efficiently as possible.
+ .
+ This package contains a graphical top tool.
+
 Package: starpu-examples
 Section: science
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-examples
+#Provides: starpu-examples
 Description: Task scheduler for heterogeneous multicore machines - exs
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -117,3 +140,18 @@
  efficiently as possible.
  .
  This package contains application examples.
+
+#Package: libsocl-contrib0
+#Section: libs
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Description: Task scheduler for heterogeneous multicore machines
+# StarPU is a runtime system that offers support for heterogeneous
+# multicore machines. While many efforts are devoted to design efficient
+# computation kernels for those architectures (e.g. to implement BLAS
+# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+# offloading such kernels (and implementing data coherency across
+# the machine), but it also makes sure the kernels are executed as
+# efficiently as possible.
+# .
+# This package contains an OpenCL-compatible library interface to StarPU.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,23 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_HARDENING=1
+
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-opengl-render
+	dh_auto_configure -- --enable-opengl-render \
+		--with-qwt-include-dir=/usr/include/qwt-qt4 \
+		--with-qwt-lib=qwt-qt4
 
 override_dh_auto_test:
-	-HOME=$$PWD dh_auto_test
+	-HOME=$$PWD DISPLAY= dh_auto_test
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -fr .starpu
+	rm -f starpu-top/StarPU-Top
+	rm -fr .nv
 
 # Switch to main rules
 main:
@@ -21,14 +28,18 @@
 	sed -i 's/Depends: libstarpu-contrib/Depends: libstarpu/' debian/control
 	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
 	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
+	sed -i 's/^Provides:/#Provides:/' debian/control
 	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
 	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
 	sed -i 's/^	libcuda1,/#	libcuda1,/' debian/control
 	sed -i 's_^Section: contrib/_Section: _' debian/control
 	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
+	sed -i '/libsocl/,$$s/^\([^#]\)/#\1/' debian/control
+	sed -i '/starpu-top/,/^#$$/s/^#//' debian/control
 
 # Switch to contrib rules
 contrib:
+	sed -i '/starpu-top/,/^$$/s/^/#/' debian/control
 	sed -i '1s/^starpu /starpu-contrib /' debian/changelog
 	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
 	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
@@ -36,9 +47,11 @@
 	sed -i 's/Depends: libstarpu/Depends: libstarpu-contrib/' debian/control
 	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
 	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
+	sed -i 's/^#Provides:/Provides:/' debian/control
 	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
 	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
 	sed -i 's/#	libcuda1,/	libcuda1,/' debian/control
-	sed -i 's_^Section: _Section: contrib/_' debian/control
 	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
 	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
+	sed -i '/libsocl/,$$s/^#//' debian/control
+	sed -i 's_^Section: _Section: contrib/_' debian/control

## starpu 1.0.0

=== debian/changelog ===
starpu (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.

  * control:
    - Depend on hardening-check.
    - Make libstarpu-dev depend on libhwloc-dev.
    - build-depend on gcc-4.6-plugin-dev and help2man.
    - Add missing shlib dependency for libstarpu-dev.
    - Add provides to contrib variants.
    - Bump Standards-Version to 3.9.3 (no changes).
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Set empty DISPLAY to avoid opening a window during Mandelbrot test.
    - Enable parallel build.
    - build out of source to prepare for gcc plugins built for several gcc
    versions.
    - rules: Run make showcheck after check.

  * rules, control: Make libstarpu-dev depend on the exact version of gcc that
    compiled the plugin, as the plugin infrastructure is very strict about it.
  * lib*.install: Use wildcard instead of 1.0.
  * libstarpu-dev.install: Add gcc plugin.
  * starpu-tools.install: Install manpages.
  * info: Install all info files.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Mar 2012 14:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,11 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
+	gcc-4.6-plugin-dev,
+	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -27,7 +29,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.0 (= ${binary:Version}), ${misc:Depends}, install-info, libhwloc-dev
+Depends: libstarpu-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
 Conflicts: libstarpu-contrib-dev
 #Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -141,7 +143,7 @@
  .
  This package contains application examples.
 
-#Package: libsocl-contrib0
+#Package: libsocl-contrib-1.0
 #Section: libs
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,32 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_HARDENING=1
+DH_OPTIONS=-Bbuild
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel $(DH_OPTIONS) --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-opengl-render \
+	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
 		--with-qwt-include-dir=/usr/include/qwt-qt4 \
 		--with-qwt-lib=qwt-qt4
 
 override_dh_auto_test:
-	-HOME=$$PWD DISPLAY= dh_auto_test
+	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
+	$(MAKE) -C build showcheck
+
+override_dh_install:
+	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/4.6/plugin
 
 override_dh_auto_clean:
-	dh_auto_clean
+	dh_auto_clean $(DH_OPTIONS) 
 	rm -fr .starpu
 	rm -f starpu-top/StarPU-Top
 	rm -fr .nv
+
+# This is required by the gcc plugin infrastructure
+override_dh_gencontrol:
+	dh_gencontrol -- -VgccDeps='gcc-4.6 (= $(shell dpkg-query -f '$${Version}' -W gcc-4.6))'
 
 # Switch to main rules
 main:

## starpu 1.0.1

=== debian/changelog ===
starpu (1.0.1-4) unstable; urgency=low

  * patches/binding: Backport upstream change to fix binding on CPU near GPUs,
    and for combined workers.
  * patches/bashism: Backport upstream change to fix bashism.
    (Closes: Bug#690935).
  * patches/automake-Werror: Fix automake warnings (Closes: Bug#713335).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jul 2013 15:32:05 +0200

starpu (1.0.1-3) unstable; urgency=low

  * control, rules: Use gcc-4.4 instead of gcc-4.5 for contrib
    (Closes: Bug#680898).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 09:40:40 +0200

starpu (1.0.1-2) unstable; urgency=low

  * control: Really use relaxed gcc-4.6 version test, not just exactly the
    upstream version part, thanks Andreas Beckmann for initial patch
    (Closes: Bug#670422).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 May 2012 13:53:27 +0200

starpu (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Explicitly use gcc-4.6 to fix plugin build (Closes: Bug#667381).
  * Use gcc-4.5 for starpu, as nvcc does not actually support all 4.6
    features, notably not __float128.
  * patches/relax-gcc-plugin: Relax gcc-4.6 dependency for plugins to upstream
    release version (Closes: #670422)
  * watch: Fix URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Apr 2012 15:04:15 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,12 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
-	gcc-4.6-plugin-dev,
+	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
+#	gcc-4.4, g++-4.4,
 	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
+#Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
 Standards-Version: 3.9.3
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/

## starpu 1.0.1+dfsg

=== debian/changelog ===
starpu (1.0.1+dfsg-1) wheezy; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Nov 2013 10:22:32 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
 	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
-#	gcc-4.4, g++-4.4,
+#	gcc-4.5, g++-4.5,
 	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,20 @@
 
 export DEB_BUILD_HARDENING=1
 DH_OPTIONS=-Bbuild
+
+source=$(shell head -n 1 debian/changelog | cut -d ' ' -f 1)
+
+GCC_VERSION          := 4.6
+
+ifeq ($(source),starpu)
+CC=gcc-$(GCC_VERSION)
+else
+# nvcc chokes on gcc-4.6's __float128
+CC=gcc-4.5
+endif
+export CC
+V=1
+export V
 
 %:
 	dh $@ --parallel $(DH_OPTIONS) --with autoreconf
@@ -15,8 +29,10 @@
 	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
 	$(MAKE) -C build showcheck
 
+ifeq ($(source),starpu)
 override_dh_install:
 	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/4.6/plugin
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean $(DH_OPTIONS) 
@@ -24,9 +40,13 @@
 	rm -f starpu-top/StarPU-Top
 	rm -fr .nv
 
+ifeq ($(source),starpu)
 # This is required by the gcc plugin infrastructure
+GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W gcc-$(GCC_VERSION))
+GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
 override_dh_gencontrol:
-	dh_gencontrol -- -VgccDeps='gcc-4.6 (= $(shell dpkg-query -f '$${Version}' -W gcc-4.6))'
+	dh_gencontrol -- -VgccDeps='gcc-$(GCC_VERSION) (>= $(GCC_DEBIAN_VERSION)), gcc-$(GCC_VERSION) (<< $(GCC_UPSTREAM_VERSION)A)'
+endif
 
 # Switch to main rules
 main:
@@ -39,12 +59,16 @@
 	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
 	sed -i 's/^Provides:/#Provides:/' debian/control
 	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
+	sed -i 's/#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,/	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,/' debian/control
+	sed -i 's/#	hardening-wrapper,/	hardening-wrapper,/' debian/control
+	sed -i 's/^	gcc-4.5, g++-4.5,/#	gcc-4.5, g++-4.5,/' debian/control
 	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
 	sed -i 's/^	libcuda1,/#	libcuda1,/' debian/control
+	sed -i 's/^Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper/#Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper/' debian/control
 	sed -i 's_^Section: contrib/_Section: _' debian/control
 	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
 	sed -i '/libsocl/,$$s/^\([^#]\)/#\1/' debian/control
-	sed -i '/starpu-top/,/^#$$/s/^#//' debian/control
+	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control
 
 # Switch to contrib rules
 contrib:
@@ -57,10 +81,14 @@
 	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
 	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
 	sed -i 's/^#Provides:/Provides:/' debian/control
-	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
+	sed -i 's/^	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,/#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,/' debian/control
+	sed -i 's/^	hardening-wrapper,/#	hardening-wrapper,/' debian/control
+	sed -i 's/#	gcc-4.5, g++-4.5,/	gcc-4.5, g++-4.5,/' debian/control
 	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
 	sed -i 's/#	libcuda1,/	libcuda1,/' debian/control
+	sed -i 's/#Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper/Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper/' debian/control
 	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
 	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
 	sed -i '/libsocl/,$$s/^#//' debian/control
-	sed -i 's_^Section: _Section: contrib/_' debian/control
+	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
+	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=1570 /frs/download.php/.*/starpu-(.*)\.tar\.gz

## starpu 1.0.5

=== debian/changelog ===
starpu (1.0.5-3build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 00:29:14 -0500

starpu (1.0.5-3) unstable; urgency=high

  * patches/automake-nowerror: Do not pass -Werror to automake
    (Closes: Bug#724128).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Sep 2013 21:55:39 +0200

starpu (1.0.5-2) unstable; urgency=low

  * Make starpu-top also replace/break starpu-contrib-tools
    (Closes: Bug#717996).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Jul 2013 20:44:13 +0200

starpu (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Move starpu_top.1.gz to starpu-top package.
  * control, rules: upgrade to gcc-4.7.
  * control: Make libstarpu-dev also depend on libstarpufft and libstarpumpi
    (Closes: Bug#715121).
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/mpi_link: disable using mpicc --showme:link link flags: they bring
    unnecessary rpath.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Jul 2013 09:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
-	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
-#	gcc-4.5, g++-4.5,
+	gcc-4.7, g++-4.7, gcc-4.7-plugin-dev,
+#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
 	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
-#Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
-Standards-Version: 3.9.3
+#Build-Conflicts: gcc-4.7, g++-4.7, hardening-wrapper
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,7 +31,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
+Depends: libstarpu-1.0 (= ${binary:Version}), libstarpufft-1.0 (= ${binary:Version}), libstarpumpi-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
 Conflicts: libstarpu-contrib-dev
 #Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -117,6 +117,8 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
+Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
 Description: Task scheduler for heterogeneous multicore machines - top
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient

## starpu 1.1.0+dfsg

=== debian/changelog ===
starpu (1.1.0+dfsg-2) unstable; urgency=medium

  * patches/build_fixes: Fix sync_synchronize use on non-x86 archs.
  * control: Depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2013 12:52:48 +0100

starpu (1.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Do not depend on install-info any more.
  * Bump Standards-Version to 3.9.5.
  * patches: refresh.
  * control: Add valgrind and guile build-dependency.
  * docs: Add pdf documentation.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Oct 2013 09:04:50 +0100

starpu (1.0.5+dfsg-1) unstable; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).
  * watch: Mangle tarball name against +dfsg.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2013 18:14:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,15 @@
 	libhwloc-dev,
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	hardening-wrapper,
+	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
+	guile-2.0,
 	gcc-4.7, g++-4.7, gcc-4.7-plugin-dev,
 #	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
 	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
 #Build-Conflicts: gcc-4.7, g++-4.7, hardening-wrapper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,7 +32,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.0 (= ${binary:Version}), libstarpufft-1.0 (= ${binary:Version}), libstarpumpi-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
+Depends: libstarpu-1.1-4 (= ${binary:Version}), libstarpufft-1.1-1 (= ${binary:Version}), libstarpumpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev
 Conflicts: libstarpu-contrib-dev
 #Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -45,12 +46,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-1.0
+Package: libstarpu-1.1-4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.0
-#Provides: libstarpu-1.0
+Conflicts: libstarpu-contrib-1.1-4
+#Provides: libstarpu-1.1-4
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -62,12 +63,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpufft-1.0
+Package: libstarpufft-1.1-1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft-1.0
-#Provides: libstarpufft-1.0
+Conflicts: libstarpu-contribfft-1.1-1
+#Provides: libstarpufft-1.1-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -79,12 +80,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpumpi-1.0
+Package: libstarpumpi-1.1-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.0
-#Provides: libstarpumpi-1.0
+Conflicts: libstarpu-contribmpi-1.1-2
+#Provides: libstarpumpi-1.1-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -147,7 +148,7 @@
  .
  This package contains application examples.
 
-#Package: libsocl-contrib-1.0
+#Package: libsocl-contrib-1.1-1
 #Section: libs
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
DH_OPTIONS=-Bbuild

source=$(shell head -n 1 debian/changelog | cut -d ' ' -f 1)

GCC_VERSION          := 4.7
DEFAULT_GCC_VERSION  := 4.7
CONTRIB_GCC_VERSION  := 4.6

ifeq ($(source),starpu)
CC=gcc-$(GCC_VERSION)
CXX=g++-$(GCC_VERSION)
else
# nvcc sometimes chokes on some gcc features
CC=gcc-$(CONTRIB_GCC_VERSION)
CXX=g++-$(CONTRIB_GCC_VERSION)
endif
export CC
export CXX
V=1
export V

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		--with-qwt-include-dir=/usr/include/qwt-qt4 \
		--with-qwt-lib=qwt-qt4

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
	$(MAKE) -C build showcheck

ifeq ($(source),starpu)
override_dh_install:
	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/$(GCC_VERSION)/plugin
endif

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr .starpu
	rm -f starpu-top/StarPU-Top
	rm -fr .nv

# This is required by the gcc plugin infrastructure
GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W $(CC))
GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
override_dh_gencontrol:
	dh_gencontrol -- -VgccDeps='$(CC) (>= $(GCC_DEBIAN_VERSION)), $(CC) (<< $(GCC_UPSTREAM_VERSION)A)'

# Switch to main rules
main:
	sed -i '1s/^starpu-contrib/starpu/' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^Provides:/#Provides:/' debian/control
	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
	sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/#	hardening-wrapper,/	hardening-wrapper,/' debian/control
	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
	sed -i 's/^	libcuda1,/#	libcuda1,/' debian/control
	sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/libsocl/,$$s/^\([^#]\)/#\1/' debian/control
	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control

# Switch to contrib rules
contrib:
	sed -i '/starpu-top/,/^$$/s/^/#/' debian/control
	sed -i '1s/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/^#Provides:/Provides:/' debian/control
	sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/^	hardening-wrapper,/#	hardening-wrapper,/' debian/control
	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
	sed -i 's/#	libcuda1,/	libcuda1,/' debian/control
	sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/libsocl/,$$s/^#//' debian/control
	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control
